# ``twisted`.`internet`.`interfaces`.`IReactorTime``

interface documentation

`class IReactorTime(Interface): (source)`

Known implementations: `twisted.internet.base.ReactorBase`, `twisted.internet.task.Clock`

View In Hierarchy

Time methods that a Reactor should implement.

Method | `callLater` | Call a function later.
Method | `getDelayedCalls` | See `twisted.internet.interfaces.IReactorTime.getDelayedCalls`
Method | `seconds` | Get the current time in seconds.

def callLater(delay, callable, *args, **kwargs): (source)
Call a function later.

Parameters
delay:`float` | the number of seconds to wait.
callable:`Callable[..., Any]` | the callable object to call later.
*args:`object` | the arguments to call it with.
**kwargs:`object` | the keyword arguments to call it with.
Returns
`IDelayedCall` | An object which provides `IDelayedCall` and can be used to cancel the scheduled call, by calling its `cancel()` method. It also may be rescheduled by calling its `delay()` or `reset()` methods.

def getDelayedCalls(): (source)
See `twisted.internet.interfaces.IReactorTime.getDelayedCalls`

Returns
`Sequence[IDelayedCall]` | Undocumented

def seconds(): (source)
Get the current time in seconds.

Returns
`float` | A number-like object of some sort.